<?php get_header(); ?>
    <div id="content">
      <div id="center">
        <?php if(have_posts()) : while(have_posts()) : the_post(); ?>
        <div id="the_loop">
          <p class="address"><a href="<?php echo home_url(); ?>/" title="Home"><?php bloginfo('name'); ?></a> &raquo; <a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></p>
          <div <?php post_class(); ?> id="post-<?php the_ID(); ?>">
            <h2><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php _e('Permanent Link to','cover-wp') ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
            <p class="postmeta"><?php the_time(__('F jS, Y','cover-wp')); ?> | <?php comments_popup_link(__('Add a Comment','cover-wp'), __('1 Comment','cover-wp'), __('% Comments','cover-wp')); ?></p>
            <div class="the_content">
              <?php the_content(__('Read entire Article &raquo;','cover-wp')); ?>
              <?php wp_link_pages('before=<p id="page-links">'.__('Pages:','cover-wp').' &after=</p>'); ?>
            </div><!-- /the_content -->
            <p class="details"><?php edit_post_link(__('Edit','cover-wp'), '', ''); ?></p>
          </div><!-- /post -->
        </div><!-- /the_loop -->
        <div id="comments">
          <?php comments_template(); ?>
        </div><!-- /comments -->
        <?php endwhile; ?>
        <div class="navigation">
          <div class="left"><?php next_posts_link(__('&laquo; Previous Page','cover-wp')) ?></div>
          <div class="right"><?php previous_posts_link(__('Next Page &raquo;','cover-wp')) ?></div>
        </div>
        <?php else: ?>
          <h2 class="center"><?php _e('No Entries Found','cover-wp') ?></h2>
          <p class="center"><?php _e('There are no entries that match your search.','cover-wp') ?></p>
      <?php endif; ?>
      </div><!-- /center -->
<?php get_sidebar(); ?>
<?php get_footer(); ?>