<?php get_header(); ?>
    <div id="content">
      <div id="center">
        <div id="the_loop">
          <p class="address"><a href="<?php echo home_url(); ?>/" title="Home"><?php bloginfo('name'); ?></a> &raquo; <?php _e('Page Not Found','cover-wp'); ?></p>
          <h2><?php _e('Error 404: Not Found','cover-wp') ?></h2>
          <p><?php _e('The information you were looking for could not be found.','cover-wp') ?></p>
          <p><?php _e('Use the search function or you might find the following articles useful:','cover-wp') ?></p>
          <h3><?php _e('Recent Posts') ?></h3>
          <ul>
            <?php wp_get_archives('type=postbypost&limit=6')?>
          </ul>
          <h3><?php _e('Most commented','cover-wp') ?></h3>
          <ul>
            <?php list_most_commented(); ?>
          </ul>
          <h3><?php _e('Featured','cover-wp') ?></h3>
          <?php query_posts("showposts=3&category_name=Featured"); $i = 1; ?>
          <ul>
          <?php if(have_posts()) : while(have_posts()) : the_post(); ?>
            <li><a href="<?php echo the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li>
          <?php endwhile; ?>
		  <?php else: ?>
            <p><?php _e('No Featured Articles','cover-wp') ?></p>
            <p><?php _e('Create a category called &quot;Featured&quot;. Articles in that category will be shown here.','cover-wp') ?></p>
          <?php endif; ?>
          </ul>
        </div><!-- /the_loop -->
      </div><!-- /center -->
<?php get_sidebar(); ?>
<?php get_footer(); ?>